Subject: Re: [martini] RESPONSE REQUESTED Re: Open Issue #36: GIN and "reg" event package

From: "DOLLY, MARTIN C (ATTLABS)" <[email-masked]>
Date: Fri, 21 May 2010 18:27:58 -0400

Ok, I object.

I question your leadership

----- Original Message -----
From: [email-masked] <[email-masked]>
To: [email-masked] <[email-masked]>
Sent: Fri May 21 17:44:31 2010
Subject: [martini] RESPONSE REQUESTED Re: Open Issue #36: GIN and "reg" event package

Okay, we're really trying to wind this draft down. If I don't hear any 
objections to the proposal below, I'm going to assume that no one cares 
except me and Hadriel.

Unless you reply with an objection before COB Monday, I'm updating the 
document to reflect this proposal.

/a

On 5/18/10 5:12 PM, Adam Roach wrote:
> We're down to a fairly small number of open issues on GIN.
>
> Currently, section 7.2.2 of the GIN document describes some fairly 
> specific behavior for "reg" event handling. In particular, it says 
> that subscriptions to the state of a single phone number are forwarded 
> by the SSP to the PBX. There's some logic in the document about why I 
> thought this was a Good Idea, and even "important."
>
> At the most recent interim, we had a fairly long discussion about 
> whether this was actually the "right" thing to do. Hadriel made some 
> convincing arguments that the SSP should service the subscriptions, 
> since it really "owns" the URIs in question.
>
> The "vermouth" draft delves a bit deeper into some related issues, but 
> it's somewhat less developed than GIN at this point. We don't want to 
> make GIN dependent on vermouth, and we really can't leave a treatment 
> of the "reg" event package out of GIN: GIN deals intimately with 
> registration. Under any reasonable "you break it you buy it" 
> principle, we're on the hook for coming up with a sane treatment of 
> the "reg" event package.
>
> After an off-list exchange with Hadriel, I *think* we're both okay if 
> that treatment is as simple as "here are the properties if you handle 
> it at the SSP, here are the properties if you handle it at the PBX, 
> and which you choose is a matter of policy." (I don't mean to put 
> words in Hadriel's mouth, and I'm sure he'll correct me if my summary 
> isn't consistent with his position).
>
> This approach is actually pretty well in line with the way that event 
> packages are handled in general. It also allows for some clever (if 
> complicated) solutions to the problem in which the SSP services the 
> subscription, but incorporates information it has learned from the PBX 
> (say, through back-end subscriptions). Basically, it gets us back to 
> what the IETF does well -- defining protocol mechanisms -- while 
> leaving concrete architectures up to other organizations.
>
> Please comment on whether you think this is a reasonable way to 
> address this open issue. If there is enough support, I'll craft some 
> formal text and put it in GIN.
>
> /a
>
> _______________________________________________
> martini mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/martini

_______________________________________________
martini mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/martini

---

From: Adam Roach <[email-masked]>
Date: Fri, 21 May 2010 17:40:30 -0500

Ah, I appear to have misspoken. When I said "objections," I meant 
"alternate proposals for a path forward."

Thanks for giving me the opportunity to clear that up.

/a

On 5/21/10 5:27 PM, DOLLY, MARTIN C (ATTLABS) wrote:
> From: [email-masked]<[email-masked]>
> To: [email-masked]<[email-masked]>

---

From: "Richard Shockey" <[email-masked]>
Date: Fri, 21 May 2010 20:30:03 -0400

So Marty ...what is your alternate text? Saying you don't like something is
not helpful unless you can demonstrate to the WG exactly what is a
technically rational counterproposal. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Adam Roach
Sent: Friday, May 21, 2010 6:40 PM
To: DOLLY, MARTIN C (ATTLABS)
Cc: [email-masked]
Subject: Re: [martini] RESPONSE REQUESTED Re: Open Issue #36: GIN and "reg"
event package

/a

---

From: "Spencer Dawkins" <[email-masked]>
Date: Sat, 22 May 2010 08:22:21 -0500

My apologies for not being able to concentrate on MARTINI much this weekend 
(I have BOTH inlaws down with pneumonia), but ...

Speaking as co-chair.

Our intention is to WGLC GIN very soon - we'd like to announce WGLC on June 
1.

It didn't make sense to us to issue WGLC for a version of the draft that has 
open issues in the tracker, that have been discussed on the mailing list, so 
Bernard and I reviewed the open issues for GIN (from 
http://trac.tools.ietf.org/wg/martini/trac/query?status=new&status=assigned&status=reopened&component=gin) 
earlier this week, and the path Adam and Hadriel are proposing below seemed 
to be in line with earlier mailing list discussions, so we asked Adam to 
focus on proposing text to resolve the open issues, which he has done for 
issue #36 (below).

So, a couple of things.

Adam is acting as editor for a working group draft, which means that he will 
reflect the consensus of the working group in draft revisions. If the 
proposal below doesn't work for people on the mailing list, please help us 
understand why. Alternate text is helpful, but first of all, we need to 
understand what does not work in this proposal - then we'll know what to 
look for, when considering revisions to this proposal, or considering other 
proposals.

We're moving toward a two-week WGLC, so it's not like we're going to request 
publication for -03 without further working group involvement, but every 
issue that we can discuss now is an issue that we don't need to discuss 
during WGLC. So, for the group - if there are things that concern you 
in -03, and you can put a voice to those concerns before we start WGLC 
(currently scheduled to start on June 1), that would be very helpful.

Thanks,

Spencer, who will probably not see additional mailing list traffic this 
weekend

---

From: Paul Kyzivat <[email-masked]>
Date: Sat, 22 May 2010 13:43:46 -0400

Spencer,

The recent change in GRUU handling is, I think, quite a fundamental 
change. Hence I think it should be examined very carefully. I haven't 
had time to read the new version through. I'm uncertain if its 
reasonable to do that entirely during WGLC. Maybe that will work out, 
but maybe it will require more time, or more iterations. Maybe I'll be 
more comfortable abut this once I've read the changes and thought about 
them. But I've got other things keeping me busy right now so I may not 
be able to give it careful attention real soon. Hopefully there is 
somebody else who will give a thorough consideration of that.

	Thanks,
	Paul

Spencer Dawkins wrote:
> My apologies for not being able to concentrate on MARTINI much this 
> weekend (I have BOTH inlaws down with pneumonia), but ...
> 
> Speaking as co-chair.
> 
> Our intention is to WGLC GIN very soon - we'd like to announce WGLC on 
> June 1.
> 
> It didn't make sense to us to issue WGLC for a version of the draft that 
> has open issues in the tracker, that have been discussed on the mailing 
> list, so Bernard and I reviewed the open issues for GIN (from 
> earlier this week, and the path Adam and Hadriel are proposing below 
> seemed to be in line with earlier mailing list discussions, so we asked 
> Adam to focus on proposing text to resolve the open issues, which he has 
> done for issue #36 (below).
> 
> So, a couple of things.
> 
> Adam is acting as editor for a working group draft, which means that he 
> will reflect the consensus of the working group in draft revisions. If 
> the proposal below doesn't work for people on the mailing list, please 
> help us understand why. Alternate text is helpful, but first of all, we 
> need to understand what does not work in this proposal - then we'll know 
> what to look for, when considering revisions to this proposal, or 
> considering other proposals.
> 
> We're moving toward a two-week WGLC, so it's not like we're going to 
> request publication for -03 without further working group involvement, 
> but every issue that we can discuss now is an issue that we don't need 
> to discuss during WGLC. So, for the group - if there are things that 
> concern you in -03, and you can put a voice to those concerns before we 
> start WGLC (currently scheduled to start on June 1), that would be very 
> helpful.
> 
> Thanks,
>